RdUtils {base} | R Documentation

## Utilities for Processing Rd Files

### Description

Utilities for converting files in R documentation (Rd) format to other formats or create indices from them, and for converting documentation in other formats to Rd format.

### Usage

    R CMD Rdconv [options] file
    R CMD Rd2pdf [options] files

### Arguments

`file` | the path to a file to be processed.
`files` | a list of file names specifying the R documentation sources to use, by either giving the paths to the files, or the path to a directory with the sources of a package.
`options` | further options to control the processing, or for obtaining information about usage and version of the utility.

### Details

`R CMD Rdconv` converts Rd format to plain text, HTML or LaTeX formats: it can also extract the examples.

`R CMD Rd2pdf` is the user-level program for producing PDF output from Rd sources. It will make use of the environment variables R_PAPERSIZE (default `a4`, also `legal` and `executive`) and R_PDFVIEWER (the PDF previewer). Also, RD2PDF_INPUTENC can be set to `inputenx` to make use of the LaTeX package of that name rather than `inputenc`: this might be needed for better support of the UTF-8 encoding.

`R CMD Rd2pdf` calls `tools::texi2pdf` to produce its PDF file: see its help for the possibilities for the `texi2dvi` command which that function uses (and which can be overridden by setting environment variable R_TEXI2DVICMD).

Use `R CMD foo --help` to obtain usage information on utility `foo`.

### See Also

The chapter “Processing Rd format” in the “Writing R Extensions” manual.

[Package base version 3.4.2 Index]